<?php
/**
 * Created by PhpStorm.
 * User: sataw
 * Date: 9/3/2560
 * Time: 20:35
 */

namespace App\Http\Controllers;


use App\Category;
use App\Http\Requests\CategoryRequest;
use App\Http\Requests\ProductCheckRequest;
use App\Location;
use App\Login;
use App\Product;
use App\Stock;
use App\StockLog;
use App\Supplier;
use App\Unit;

class StockController extends Controller
{

    public function index()
    {
        $data = [
            'stocks' => Stock::all()
        ];
        return view('backend.stock_product_stock', $data);
    }

    public function stockLog()
    {
        $data = [
            'stockLogs' => StockLog::all()
        ];
        return view('backend.stock_product_stockLog', $data);
    }

}