<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AddCartRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'barcode' => 'required|min:6'
        ];
    }

    public function messages()
    {
        return [
            'barcode.required' => 'กรุณากรอกรหัสสินค้าด้วย',
            'barcode.min' => 'รหัสสินค้าต้องมี :min ตัวอักษร'
        ];
    }
}
