<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaleSummaryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'cash' => 'required|numeric'
        ];
    }

    public function messages()
    {
        return [
            'cash.required' => 'กรุณากรอกข้อมูลรับเงินด้วย',
            'cash.numeric' => 'เงินที่รับมาควรเป็นตัวเลข'
        ];
    }
}
