<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Sale extends Model
{
    protected $fillable = [
        'user_id',
        'sale_code',
        'user_fullname',
        'cash',
        'change',
        'price_total',
        'status'
    ];

    public function user()
    {
        return $this->belongsTo('\App\User');
    }

}
