<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Stock extends Model
{
    protected $fillable = [
        'code',
        'product_id',
        'unit_id',
        'location_id',
        'amount',
        'status'
    ];

    public function product()
    {
        return $this->belongsTo('\App\Product');
    }

    public function unit()
    {
        return $this->belongsTo('\App\Unit');
    }

    public function location()
    {
        return $this->belongsTo('\App\Location');
    }
}
