var custom = {
    lunchModal: function () {
        $('#myModal').modal('show');
    },
    lunchModalAddImage: function () {
        $('#myModalAddImage').modal('show');
    },
    lunchModalAndGetPage: function (url, title) {
        $.ajax({
            method: "get",
            url: url
        }).done(function (data) {
            $('#myModalLabel').html(title);
            if (title != '' || title != undefined) {
                $('#showDataContentModal').html(data);
            }
            $('#myModalView').modal('show');
        }).fail(function () {
            alert.message('เกิดข้อผิดพลาด', 'เกิดข้อผิดพลาดไม่สามารถเชื่อมต่อเครือข่ายได้ กรุณาลองอีกครั้ง', 'warning');
        });
    }
};

var alert = {
    message: function (title, message, type) {
        swal(title, message, type);
    },
    delete: function (url) {
        swal({
                title: "คุณแน่ใจหรือ ?",
                text: "คุณแน่ใจหรือไม่ว่าจะลบสิ่งนี้ออก การกระทำนี้จะไม่สามารถกู้กลับมาได้อีก",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "ใช่, ลบเลย!",
                closeOnConfirm: false
            },
            function () {
                window.location.href = url;
            });
    },
    change: function (url) {
        swal({
                title: "คุณแน่ใจหรือ ?",
                text: "คุณแน่ใจหรือที่จะเปลี่ยนแปลงสิ่งนี้",
                type: "info",
                showCancelButton: true,
                confirmButtonColor: "#5bc0de",
                confirmButtonText: "ใช่, เปลี่ยนเลย!",
                closeOnConfirm: false
            },
            function () {
                window.location.href = url;
            });
    }
};