<header class="panel-heading bg-dark lt no-border">
    <div class="clear">
        <div class="h3 m-t-xs m-b-xs text-white">
            {!! $user->profile->fullname !!}
            @if($user->status == 1)
                <i class="fa fa-circle pull-right m-t-sm text-primary"></i>
            @else
                <i class="fa fa-circle pull-right m-t-sm text-danger"></i>
            @endif
        </div>
        <small class="text-muted">{!! $user->username !!}</small>
        @if($user->type == 0)
            <label class="label bg-danger m-l-xs">เจ้าของร้าน</label>
        @elseif($user->type == 1)
            <label class="label bg-danger m-l-xs">พนักงาน</label>
        @endif
    </div>
    </div>
</header>
<div class="list-group no-radius alt">
    <a class="list-group-item" href="#">
        <i class="fa fa-id-card" aria-hidden="true"></i>
        {!! $user->profile->idcard !!}
    </a>
    <a class="list-group-item" href="#">
        <i class="fa fa-birthday-cake" aria-hidden="true"></i>
        {!!\Carbon\Carbon::createFromFormat('Y-m-d', $user->profile->birthdate)->format("d M Y")!!}
    </a>
    <a class="list-group-item" href="#">
        <i class="fa fa-phone" aria-hidden="true"></i>
        {!! $user->profile->phone !!}
    </a>
    <a class="list-group-item" href="#">
        <i class="fa fa-home" aria-hidden="true"></i>
        {!! $user->profile->address !!}
    </a>
</div>