<header class="panel-heading bg-dark lt no-border">
    <div class="clear">
        <div class="h3 m-t-xs m-b-xs text-white">
            <?php echo $product->name; ?>

        </div>
        <small class="text-muted">หมวดหมู่ : <?php echo $product->category->name; ?></small>
    </div>
    </div>
</header>
<div class="list-group no-radius alt">
    <a class="list-group-item" href="#">
        <i class="fa fa-barcode" aria-hidden="true"></i>
        รหัสสินค้า : <?php echo $product->barcode; ?>

    </a>
    <a class="list-group-item" href="#">
        <i class="fa fa-eye" aria-hidden="true"></i>
        คงเหลือในร้าน : <?php echo $product->amount.' ชิ้น'; ?>

    </a>
    <a class="list-group-item" href="#">
        <i class="fa fa-money" aria-hidden="true"></i>
        ราคาขาย : <?php echo $product->price.' บาท'; ?>

    </a>
</div>

<footer class="panel-footer bg-primary text-center">
    <?php $__currentLoopData = $stocks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stock): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="row pull-out">
            <div class="col-xs-4">
                <div class="padder-v">
                    <span class="m-b-xs h3 block text-white"><?php echo $stock->location->name; ?></span>
                    <small class="text-muted">สถานที่เก็บ</small>
                </div>
            </div>
            <div class="col-xs-4 dk">
                <div class="padder-v">
                    <span class="m-b-xs h3 block text-white"><?php echo floor($stock->amount / $stock->unit->perpiece).' '.$stock->unit->name; ?></span>
                    <small class="text-muted">คงเหลือในสต๊อก</small>
                </div>
            </div>
            <div class="col-xs-4">
                <div class="padder-v">
                    <span class="m-b-xs h3 block text-white"><?php echo $stock->amount % $stock->unit->perpiece.' ชิ้น'; ?></span>
                    <small class="text-muted">คงเหลือในสต๊อก</small>
                </div>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php if($stocks->count() == 0): ?>
        <div class="row pull-out">
            <div class="col-xs-4">
                <div class="padder-v">
                    <span class="m-b-xs h3 block text-white">######</span>
                    <small class="text-muted">สถานที่เก็บ</small>
                </div>
            </div>
            <div class="col-xs-4 dk">
                <div class="padder-v">
                    <span class="m-b-xs h3 block text-white">######</span>
                    <small class="text-muted">คงเหลือในสต๊อก</small>
                </div>
            </div>
            <div class="col-xs-4">
                <div class="padder-v">
                    <span class="m-b-xs h3 block text-white">######</span>
                    <small class="text-muted">คงเหลือในสต๊อก</small>
                </div>
            </div>
        </div>
    <?php endif; ?>
</footer>
<?php echo Form::open(array('url' => url('stock/product/pickUp/'.$product->id), 'class' => 'form-horizontal')); ?>

<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group m-t-lg">
    <label class="col-sm-3 control-label">จำนวนเบิก : </label>
    <div class="col-sm-6">
        <?php echo Form::number('pickUp', 0, array('class' => 'form-control', 'max' => $stocks->sum('amount'), 'min' => 0)); ?>

    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <div class="col-md-12">
        <?php echo Form::button('เบิก' , array('class' => 'btn btn-warning btn-s-md form-control', 'type' => 'submit')); ?>

    </div>
</div>
<?php echo Form::close(); ?>