<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-ticket" aria-hidden="true"></i> หน่วยนับ
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="unitTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>ชื่อสินค้า</th>
                        <th>ผู้ผลิต</th>
                        <th>หน่วยนับ</th>
                        <th>จำนวน</th>
                        <th>ชิ้น/หน่วย</th>
                        <th>ราคา/หน่วย</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="10%"><?php echo $i; ?></td>
                            <td><?php echo \App\Stock::where('unit_id', $unit->id)->first()->product->name; ?></td>
                            <td><?php echo $unit->supplier->name; ?></td>
                            <td><?php echo $unit->name; ?></td>
                            <td><?php echo $unit->amount; ?></td>
                            <td><?php echo $unit->perpiece; ?></td>
                            <td><?php echo number_format($unit->price, 2); ?></td>
                            <td class="pull-right">
                                <?php if($unit->status == 0): ?>
                                    <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/unit/edit/'.$unit->id); ?>','แก้ไขข้อมูลหน่วยนับ');"
                                       class="btn btn-warning btn-xs" data-toggle="tooltip" data-placement="top"
                                       title=""
                                       data-original-title="แก้ไขข้อมูลหน่วยนับ"><i class="fa fa-pencil-square-o"
                                                                                    aria-hidden="true"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#unitTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>