<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> ประวัติการดำเนินการสต๊อก
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="stockLogTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>วันที่ / เวลา</th>
                        <th>การดำเนินการ</th>
                        <th>ชื่อสินค้า</th>
                        <th>รหัสสินค้า</th>
                        <th>สถานที่เก็บ</th>
                        <th>จำนวนเบิก</th>
                        <th>ผู้ดำเนินการ</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $stockLogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stockLog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="10%"><?php echo $i; ?></td>
                            <td><?php echo \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $stockLog->created_at)->format("d F Y H:i"); ?></td>
                            <td><?php echo $stockLog->type == 0 ? 'นำเข้าสินค้า' : 'เบิกสินค้า'; ?></td>
                            <td><?php echo $stockLog->product_name; ?></td>
                            <td><?php echo $stockLog->product_barcode; ?></td>
                            <td><?php echo $stockLog->location; ?></td>
                            <td><?php echo $stockLog->amount; ?></td>
                            <td><?php echo $stockLog->fullname; ?></td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#stockLogTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>