<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-cubes"></i> สินค้า
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="productTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>บาร์โค้ด</th>
                        <th>ชื่อ</th>
                        <th>หมวดหมู่</th>
                        <th>จำนวน</th>
                        <th>ราคาต้นทุน</th>
                        <th>ราคาขาย</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="10%"><?php echo $i; ?></td>
                            <td><?php echo $product->barcode; ?></td>
                            <td><?php echo $product->name; ?></td>
                            <td><?php echo $product->category->name; ?></td>
                            <td><?php echo $product->amount; ?></td>
                            <td><?php echo number_format($product->costprice, 2); ?></td>
                            <td><?php echo number_format($product->price, 2); ?></td>
                            <td class="pull-right">
                                <a href="<?php echo url('stock/product/addView/'.$product->id); ?>"
                                   class="btn btn-success btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="เพิ่มสินค้า"><i class="fa fa-plus"
                                                                                                                                                          aria-hidden="true"></i></a>
                                <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/product/pickUpView/'.$product->id); ?>','เบิกสินค้า');"
                                   class="btn btn-dark btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="เบิกสินค้า"><i class="fa fa-shopping-basket"
                                                                     aria-hidden="true"></i></a>
                                <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/product/edit/'.$product->id); ?>','แก้ไขข้อมูลสินต้า');"
                                   class="btn btn-warning btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="แก้ไขข้อมูลสินต้า"><i class="fa fa-pencil-square-o"
                                                                     aria-hidden="true"></i></a>
                                <?php if(Auth::user()->type == 0): ?>
                                    <a href="javascript:alert.delete('<?php echo url('stock/product/destroy/'.$product->id); ?>');"
                                       class="btn btn-danger btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="ลบ"><i class="fa fa-times" aria-hidden="true"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#productTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>