<?php $__env->startSection('content'); ?>
    <style>
        .qtyCell {
            width: 150px
        }
    </style>
    <section id="content" style="padding-top: 50px">
        <div class="bg-primary dk" id="selling">
            <div class="text-center wrapper">
                <div class="row m-b-lg m-t-lg">
                    <div class="col-md-10">
                        <?php echo Form::open(['class' => 'form-horizontal', 'id' => 'addCartForm']); ?>

                        <div class="input-group">
                            <label for="inputAmount">จำนวน :</label>
                            <input name="amount" type="number" min="1" value="1" required class="form-control">
                        </div>  
                                                                      
                        <div class="input-group">
                            <?php echo Form::text('barcode', null, array('class' => 'form-control input-lg', 'id' => 'inputProductBarCode', 'OnKeyPress' => 'return checkInputAddCart(event)', 'autofocus')); ?>

                            <span class="input-group-btn">
                            <?php echo Form::button('<i class="fa fa-barcode fa-3x"></i><i class="fa fa-barcode fa-3x"></i>' , ['class' => 'btn btn-default','style' => 'padding: 1px 10px', 'id' => 'addCart', 'type' => 'submit']); ?>

                            </span>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                    <div class="col-md-2">
                        <a id="destroyCart" class="btn btn-danger btn-md btn-s-md"><i
                                    class="fa fa-refresh" aria-hidden="true"></i> ล้างข้อมูล</a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-8">
                        <section class="panel no-border device">
                            <section class="panel-body">
                                <table class="table table-striped m-b-none" style="color: #717171;">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>รหัสสินค้า</th>
                                        <th>ชื่อสินค้า</th>
                                        <th>จำนวน</th>
                                        <th>ราคา</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody id="sessionCart">
                                    <?php if(Session::has('cart')): ?>
                                        <?php $i = 1 ?>
                                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr id="<?php echo $product['item']['id']; ?>">
                                                <td><?php echo $i; ?></td>
                                                <td><?php echo $product['item']['barcode']; ?></td>
                                                <td><?php echo $product['item']['name']; ?></td>
                                                <td class="qtyCell">
                                                    <div class="input-group">
                                                        <div class="input-group-btn">
                                                            <button type="button"
                                                                    class="changeDown btn btn-sm btn-default"
                                                                    id="<?php echo $product['item']['id']; ?>">
                                                                <i class="fa fa-minus"></i>
                                                            </button>
                                                        </div>
                                                        <input value="<?php echo $product['qty']; ?>" type="text"
                                                               class="productQty<?php echo $product['item']['id']; ?> form-control input-sm"
                                                               readonly>
                                                        <div class="input-group-btn">
                                                            <button type="button"
                                                                    class="changeUp btn btn-sm btn-default"
                                                                    id="<?php echo $product['item']['id']; ?>">
                                                                <i class="fa fa-plus"></i>
                                                            </button>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td><?php echo $product['price']; ?></td>
                                                <td>
                                                    <a class="btn btn-xs btn-danger" id="<?php echo $product['item']['id']; ?>"
                                                       onclick="removeInCart(this.id)"><i class="fa fa-times"></i></a>
                                                </td>
                                            </tr>
                                            <?php $i++ ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                    </tbody>
                                </table>
                            </section>
                        </section>
                    </div>
                    <div class="col-md-4">
                        <section class="panel bg-dark no-border">
                            <header class="panel-heading text-left">
                                <strong>ราคารวม</strong>
                            </header>
                            <section class="panel panel-info portlet-item">
                                <h1 class="text-center m-b-lg m-t-lg" style="color: #2d3e4d; font-size: 50px"
                                    id="totalPrice">
                                    <?php if(Session::has('cart')): ?>
                                        <?php echo $totalPrice; ?>

                                    <?php else: ?>
                                        0
                                    <?php endif; ?>
                                </h1>
                            </section>
                        </section>
                        <section class="panel bg-dark no-border m-t-md">
                            <header class="panel-heading text-left">
                                <strong>เงินทอน</strong>
                            </header>
                            <section class="panel panel-info portlet-item">
                                <h1 class="text-center m-b-lg m-t-lg" style="color: #2d3e4d; font-size: 50px">
                                    <p id="outputChange">0</p></h1>
                            </section>
                        </section>
                        <div class="col-md-12">
                            <div class="dropfile visible-lg">
                                <?php echo Form::open(array('url' => url('saleSummary'), 'class' => 'form-horizontal')); ?>

                                <?php echo Form::number('cash', null, array('class' => 'form-control text-center m-t-lg m-b-lg', 'id' => 'inputCash', 'autocomplete' => 'off', 'style' => 'background-color: transparent; border: hidden; height: 50px; font-size: 50px; color: #2d3e4d;', 'step' => 'any')); ?>

                                <?php echo Form::close(); ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="dker pos-rlt">
                <div class="container wrapper">
                    <div class="m-t-lg m-b-lg text-center">
                        กด <label class="label bg-warning m-l-xs">Ctrl</label> เพื่อไปยังช่องกรอกรหัสสินค้า
                    </div>
                </div>
            </div>
        </div>
        <div id="checking">
            <div class="container text-center m-t-xl m-b-xl" data-ride="animated" data-animation="fadeIn">
                <h2><i class="fa fa-question-circle" aria-hidden="true"></i> ตรวจเช็คสินค้า</h2>
                <p>สามารถทำการเช็คข้อมูลสินค้าโดยการกรอกรหัสสินค้าด้านล่าง</p>
                <i class="fa fa-barcode fa-5x" aria-hidden="true"></i>
                <i class="fa fa-barcode fa-5x" aria-hidden="true"></i>
                <i class="fa fa-barcode fa-5x" aria-hidden="true"></i>
                <?php echo Form::open(array('class' => 'form-horizontal')); ?>

                <div class="col-md-6 col-md-offset-2" data-ride="animated" data-animation="fadeInLeftBig"
                     data-delay="300">
                    <div class="form-group">
                        <?php echo Form::number('barcode', null, array('class' => 'form-control input-lg', 'placeholder' => 'รหัสสินค้า', 'id' => 'barcode')); ?>

                    </div>
                </div>
                <div class="col-md-2" data-ride="animated" data-animation="fadeInRightBig"
                     data-delay="600">
                    <div class="form-group">
                        <a class="btn btn-default btn-lg btn-block btn-s-md"
                           href="javascript:custom.lunchModalAndGetPage('<?php echo url('productCheck'); ?>'+'/'+document.getElementById('barcode').value,'เช็คข้อมูลสินค้า');"><i
                                    class="fa fa-question-circle" aria-hidden="true"></i> ตรวจเช็ค</a>
                    </div>
                </div>
                <?php echo Form::close(); ?>

            </div>
            <div class="m-t-xl m-b-xl text-center wrapper" data-ride="animated"
                 data-animation="fadeInRightBig" data-delay="900">
                <p class="h5">ระบบรองรับการทำงานร่วมกับ
                    <span class="text-primary">เครื่องสแกนบาร์โค๊ด</span>
                </p>
            </div>
        </div>
        <i class="fa fa-caret-up fa-5x block text-center"
           style="margin-top: -44px;margin-bottom: -21px;color: #1b252e"></i>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>

        function removeInCart(id) {
            $.ajax({
                url: "<?php echo url('removeProductCart'); ?>" + '/' + id,
                dataType: "JSON",
                success: function (item) {
                    if (item.type === 'success') {
                        var table = document.getElementById("sessionCart");
                        var tr = table.getElementsByTagName('tr');
                        for (var i = 0; i < tr.length; i++) {
                            if (tr[i].id == item.id) {
                                table.deleteRow(i);
                            }
                        }
                        for (var o = 0; o < tr.length; o++) {
                            tr[o].getElementsByTagName('td')[0].innerText = o + 1;
                        }
                        $('#totalPrice').html(item.cart.totalPrice);
                        $('#inputProductBarCode').val(null);
                        $('#outputChange').html($('#inputCash').val() - (item.cart.totalPrice));
                    }
                }
            });
        }

        $(document).ready(function () {
            $('#addCartForm').submit(function (event) {
                event.preventDefault();
                $.ajax({
                    url: "<?php echo url('addCart/'); ?>",
                    dataType: "JSON",
                    type: "POST",
                    data: $(this).serialize(),
                    success: function (item) {
                        if (item.type === 'success') { // Object.keys(item.cart.items).length
                            var table = document.getElementById("sessionCart");
                            var t = 0;
                            $("#sessionCart").empty();
                            for (var i in item.cart.items) {
                                var row = table.insertRow(t);
                                row.setAttribute('id', item.cart.items[i].item.id);
                                row.insertCell(0).innerHTML = table.getElementsByTagName("tr").length;
                                row.insertCell(1).innerHTML = item.cart.items[i].item.barcode;
                                row.insertCell(2).innerHTML = item.cart.items[i].item.name;
                                var cell3 = row.insertCell(3);
                                cell3.className = "qtyCell";
                                cell3.innerHTML = "<div class='input-group'><div class='input-group-btn'><button type='button' class='changeDown btn btn-sm btn-default' id='" + item.cart.items[i].item.id + "'><i class='fa fa-minus'></i></button></div><input value='" + item.cart.items[i].qty + "' type='text' class='form-control input-sm' readonly><div class='input-group-btn'><button type='button' class='changeUp btn btn-sm btn-default' id='" + item.cart.items[i].item.id + "'><i class='fa fa-plus'></i></button></div></div>";
                                row.insertCell(4).innerHTML = item.cart.items[i].price;
                                row.insertCell(5).innerHTML = "<a class='btn btn-xs btn-danger' id='" + item.cart.items[i].item.id + "' onclick='removeInCart(this.id)'><i class='fa fa-times'></i></a>";
                                t++;
                            }
                            $('#totalPrice').html(item.cart.totalPrice);
                            $('#inputProductBarCode').val(null);
                            $('#outputChange').html($('#inputCash').val() - (item.cart.totalPrice));
                        } else if (item.type === 'error') {
                            swal('ผิดพลาด', item.content, 'error');
                            $('#inputProductBarCode').val(null);
                        }
                    }
                });
            });

            $(document).on("click", '.changeDown', function () {
                $.ajax({
                    url: "<?php echo url('changeDown'); ?>" + '/' + $(this).attr('id'),
                    dataType: "JSON",
                    success: function (item) {
                        if (item.type === 'success') {
                            var table = document.getElementById("sessionCart");
                            var t = 0;
                            $("#sessionCart").empty();
                            for (var i in item.cart.items) {
                                var row = table.insertRow(t);
                                row.setAttribute('id', item.cart.items[i].item.id);
                                row.insertCell(0).innerHTML = table.getElementsByTagName("tr").length;
                                row.insertCell(1).innerHTML = item.cart.items[i].item.barcode;
                                row.insertCell(2).innerHTML = item.cart.items[i].item.name;
                                var cell3 = row.insertCell(3);
                                cell3.className = "qtyCell";
                                cell3.innerHTML = "<div class='input-group'><div class='input-group-btn'><button type='button' class='changeDown btn btn-sm btn-default' id='" + item.cart.items[i].item.id + "'><i class='fa fa-minus'></i></button></div><input value='" + item.cart.items[i].qty + "' type='text' class='form-control input-sm' readonly><div class='input-group-btn'><button type='button' class='changeUp btn btn-sm btn-default' id='" + item.cart.items[i].item.id + "'><i class='fa fa-plus'></i></button></div></div>";
                                row.insertCell(4).innerHTML = item.cart.items[i].price;
                                row.insertCell(5).innerHTML = "<a class='btn btn-xs btn-danger' id='" + item.cart.items[i].item.id + "' onclick='removeInCart(this.id)'><i class='fa fa-times'></i></a>";
                                t++;
                            }
                            $('#totalPrice').html(item.cart.totalPrice);
                            $('#inputProductBarCode').val(null);
                            $('#outputChange').html($('#inputCash').val() - (item.cart.totalPrice));
                        } else if (item.type === 'error') {
                            swal('ผิดพลาด', item.content, 'error');
                            $('#inputProductBarCode').val(null);
                        }
                    }
                });
            });

            $(document).on("click", '.changeUp', function () {
                $.ajax({
                    url: "<?php echo url('changeUp'); ?>" + '/' + $(this).attr('id'),
                    dataType: "JSON",
                    success: function (item) {
                        if (item.type === 'success') {
                            var table = document.getElementById("sessionCart");
                            var t = 0;
                            $("#sessionCart").empty();
                            for (var i in item.cart.items) {
                                var row = table.insertRow(t);
                                row.setAttribute('id', item.cart.items[i].item.id);
                                row.insertCell(0).innerHTML = table.getElementsByTagName("tr").length;
                                row.insertCell(1).innerHTML = item.cart.items[i].item.barcode;
                                row.insertCell(2).innerHTML = item.cart.items[i].item.name;
                                var cell3 = row.insertCell(3);
                                cell3.className = "qtyCell";
                                cell3.innerHTML = "<div class='input-group'><div class='input-group-btn'><button type='button' class='changeDown btn btn-sm btn-default' id='" + item.cart.items[i].item.id + "'><i class='fa fa-minus'></i></button></div><input value='" + item.cart.items[i].qty + "' type='text' class='form-control input-sm' readonly><div class='input-group-btn'><button type='button' class='changeUp btn btn-sm btn-default' id='" + item.cart.items[i].item.id + "'><i class='fa fa-plus'></i></button></div></div>";
                                row.insertCell(4).innerHTML = item.cart.items[i].price;
                                row.insertCell(5).innerHTML = "<a class='btn btn-xs btn-danger' id='" + item.cart.items[i].item.id + "' onclick='removeInCart(this.id)'><i class='fa fa-times'></i></a>";
                                t++;
                            }
                            $('#totalPrice').html(item.cart.totalPrice);
                            $('#inputProductBarCode').val(null);
                            $('#outputChange').html($('#inputCash').val() - (item.cart.totalPrice));
                        } else if (item.type === 'error') {
                            swal('ผิดพลาด', item.content, 'error');
                            $('#inputProductBarCode').val(null);
                        }
                    }
                });
            });

            $('#destroyCart').click(function (event) {
                $.ajax({
                    url: "<?php echo url('destroyCart'); ?>",
                    dataType: "JSON",
                    data: $(this).serialize(),
                    success: function (item) {
                        $("#sessionCart").empty();
                        if (item.type === 'success') {
                            $('#inputProductBarCode').val(null);
                            $('#totalPrice').html(0);
                            $('#outputChange').html(0);
                            swal(item.title, item.content, item.type);
                        } else {
                            $('#inputProductBarCode').val(null);
                            $('#totalPrice').html(0);
                            $('#outputChange').html(0);
                            swal(item.title, item.content, item.type);
                        }
                    }
                });
            });

            //คำนวณเงินทอนก่อนบันทึกสินค้าลงฐานข้อมูล
            $('#outputChange').html('0.00');
            var change = 0.00;
            $('#inputCash').keyup(function () {
                change = $('#inputCash').val() - Number($('#totalPrice').html());
                $('#outputChange').html(change.toFixed(2));
            });
            $(document).keydown(function (e) {
                if (e.keyCode == '17') {
                    //alert('space');
                    $('#inputProductBarCode').focus();
                    //return false;
                }
            });
        })
        ;

        function checkInputAddCart(evt) {
            var charCode = (evt.which) ? evt.which : event.keyCode;
            if (charCode > 31 && (charCode < 48 || charCode > 57) && charCode !== 42)
                return false;
            return true;
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.frontend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>