<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> หมวดหมู่
                <ul class="nav nav-pills pull-right">
                    <li>
                        <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/category/create'); ?>','เพิ่มหมวดหมู่');"
                           class=" btn-primary"><i
                                    class="fa fa-plus"></i></a>
                    </li>
                </ul>
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="categoryTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>ชื่อหมวดหมู่</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="10%"><?php echo $i; ?></td>
                            <td><?php echo $category->name; ?></td>
                            <td class="pull-right">
                                <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/category/edit/'.$category->id); ?>','แก้ไขหมวดหมู่');"
                                   class="btn btn-warning btn-xs"
                                   data-toggle="tooltip" data-placement="top" title="" data-original-title="แก้ไข"><i class="fa fa-pencil-square-o"
                                                                     aria-hidden="true"></i></a>
                                <?php if(Auth::user()->type == 0): ?>
                                    <a href="javascript:alert.delete('<?php echo url('stock/category/destroy/'.$category->id); ?>');"
                                       class="btn btn-danger btn-xs"
                                       data-toggle="tooltip" data-placement="top" title="" data-original-title="ลบ"><i class="fa fa-times" aria-hidden="true"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#categoryTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>