<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datepicker/datepicker.css'); ?>" type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-user" aria-hidden="true"></i> พนักงาน
                <ul class="nav nav-pills pull-right">
                    <li>
                        <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/employee/create/'); ?>','เพิ่มข้อมูลพนักงาน');"
                           class=" btn-primary"><i
                                    class="fa fa-plus"></i></a>
                    </li>
                </ul>
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="userTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>ชื่อผู้ใช้</th>
                        <th>ชื่อ-นามสกุล</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $employees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo $i; ?></td>
                            <td><?php echo $employee->username; ?></td>
                            <td><?php echo $employee->profile->fullname; ?></td>
                            <td class="pull-right">
                                <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/employee/view/'.$employee->id); ?>','ข้อมูลพนักงาน');"
                                   class="btn btn-info btn-xs"
                                   data-toggle="tooltip" data-placement="top" title="" data-original-title="ข้อมูลพนักงาน"><i class="fa fa-search"
                                                                  aria-hidden="true"></i></a>
                                <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/employee/edit/'.$employee->id); ?>','แก้ไขข้อมูลพนักงาน');"
                                   class="btn btn-warning btn-xs"
                                   data-toggle="tooltip" data-placement="top" title="" data-original-title="แก้ไข"><i class="fa fa-pencil-square-o"
                                                                     aria-hidden="true"></i></a>
                                <a href="javascript:alert.delete('<?php echo url('stock/employee/destroy/'.$employee->id); ?>');"
                                   class="btn btn-danger btn-xs"
                                   data-toggle="tooltip" data-placement="top" title="" data-original-title="ลบ"><i class="fa fa-times" aria-hidden="true"></i></a>
                            </td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#userTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>