<?php echo Form::open(array('url' => url('stock/employee/employeeUpdate/'.$employee->id), 'class' => 'form-horizontal')); ?>

<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">ชื่อ-นามสกุล : </label>
    <div class="col-sm-9">
        <?php echo Form::text('fullname', $employee->profile->fullname, array('class' => 'form-control', 'placeholder' => 'ชื่อ-นามสกุล')); ?>

    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">เลขบัตรประชาชน : </label>
    <div class="col-sm-9">
        <?php echo Form::text('idcard', $employee->profile->idcard, array('class' => 'form-control', 'placeholder' => 'เลขบัตรประชาชน', 'maxlength' => 13)); ?>

    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">วัน/เดือน/ปีเกิด : </label>
    <div class="col-sm-2">
        <?php echo Form::select('day', $days, \Carbon\Carbon::createFromFormat('Y-m-d', $employee->profile->birthdate)->format("d"), array('class' => 'form-control m-b')); ?>

    </div>
    <div class="col-sm-3">
        <?php echo Form::select('month', $months, \Carbon\Carbon::createFromFormat('Y-m-d', $employee->profile->birthdate)->format("m"), array('class' => 'form-control m-b')); ?>

    </div>
    <div class="col-sm-2">
        <?php echo Form::select('year', $years, \Carbon\Carbon::createFromFormat('Y-m-d', $employee->profile->birthdate)->format("Y"), array('class' => 'form-control m-b')); ?>

    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">เบอร์โทรศัพท์ : </label>
    <div class="col-sm-9">
        <?php echo Form::text('phone', $employee->profile->phone, array('class' => 'form-control', 'placeholder' => 'เบอร์โทรศัพท์', 'maxlength' => 10)); ?>

    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ที่อยู่ : </label>
    <div class="col-sm-9">
        <?php echo Form::textarea('address', $employee->profile->address, array('class' => 'form-control')); ?>

    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <div class="col-sm-3 col-sm-offset-2">
        <?php echo Form::button('แก้ไข' , array('class' => 'btn btn-primary btn-s-md form-control', 'type' => 'submit')); ?>

    </div>
</div>
<?php echo Form::close(); ?>

