<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|min:5'
        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'ช่องกรอกชื่อหมวดหมู่จำเป็นต้องมีข้อมูล',
            'name.min' => 'ช่องกรอกชื่อหมวดหมู่จำเป็นต้องมีอย่างน้อย :min ตัวอักษร'
        ];
    }
}
