<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProductPickUpRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'pickUp' => 'required|numeric|min:0'
        ];
    }

    public function messages()
    {
        return [
            'pickUp.required' => 'การเบิกสินค้าจำเป็นต้องกรอกจำนวน',
            'pickUp.numeric' => 'จำนวนเบิกต้องเป็นตัวเลข',
            'pickUp.min' => 'จำนวนเบิกผิดพลาด'
        ];
    }
}
