{!! Form::open(array('url' => url('stock/employee/store'), 'class' => 'form-horizontal')) !!}
<div class="form-group">
    <label class="col-sm-2 control-label">ชื่อผู้ใช้ : </label>
    <div class="col-sm-9">
        {!! Form::text('username', null, array('class' => 'form-control', 'placeholder' => 'ชื่อผู้ใช้')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">รหัสผ่าน : </label>
    <div class="col-sm-9">
        {!! Form::password('password', array('class' => 'form-control', 'placeholder' => 'รหัสผ่าน')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ยินยันรหัสผ่าน : </label>
    <div class="col-sm-9">
        {!! Form::password('repassword', array('class' => 'form-control', 'placeholder' => 'ยินยันรหัสผ่าน')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ตำแหน่ง : </label>
    <div class="col-sm-9">
        {!! Form::select('type', array(0 => 'เจ้าของร้าน', 1 => 'พนักงาน'), 1, array('class' => 'form-control m-b')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">ชื่อ-นามสกุล : </label>
    <div class="col-sm-9">
        {!! Form::text('fullname', null, array('class' => 'form-control', 'placeholder' => 'ชื่อ-นามสกุล')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">เลขบัตรประชาชน : </label>
    <div class="col-sm-9">
        {!! Form::text('idcard', null, array('class' => 'form-control', 'placeholder' => 'เลขบัตรประชาชน')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">วัน/เดือน/ปีเกิด : </label>
    <div class="col-sm-2">
        {!! Form::select('day', $days, 0, array('class' => 'form-control m-b')) !!}
    </div>
    <div class="col-sm-3">
        {!! Form::select('month', $months, 0, array('class' => 'form-control m-b')) !!}
    </div>
    <div class="col-sm-2">
        {!! Form::select('year', $years, 0, array('class' => 'form-control m-b')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">เบอร์โทรศัพท์ : </label>
    <div class="col-sm-9">
        {!! Form::text('phone', null, array('class' => 'form-control', 'placeholder' => 'เบอร์โทรศัพท์')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ที่อยู่ : </label>
    <div class="col-sm-9">
        {!! Form::textarea('address', null, array('class' => 'form-control')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <div class="col-sm-3 col-sm-offset-2">
        {!! Form::button('เพิ่ม' , array('class' => 'btn btn-primary btn-s-md form-control', 'type' => 'submit')) !!}
    </div>
</div>
{!! Form::close() !!}
