{!! Form::open(array('url' => url('stock/employee/update/'.$employee->id), 'class' => 'form-horizontal')) !!}
<div class="form-group">
    <label class="col-sm-2 control-label">ชื่อผู้ใช้ : </label>
    <div class="col-sm-9">
        {!! Form::text('username', $employee->username, array('class' => 'form-control', 'disabled' => 'true')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">รหัสผ่าน : </label>
    <div class="col-sm-9">
        {!! Form::password('password', array('class' => 'form-control', 'placeholder' => 'รหัสผ่าน')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ยืนยันรหัสผ่าน : </label>
    <div class="col-sm-9">
        {!! Form::password('repassword', array('class' => 'form-control', 'placeholder' => 'ยืนยันรหัสผ่าน')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ตำแหน่ง : </label>
    <div class="col-sm-9">
        {!! Form::select('type', array(0 => 'เจ้าของร้าน', 1 => 'พนักงาน'), $employee->type, array('class' => 'form-control m-b')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">สถานะพนักงาน : </label>
    <div class="col-sm-9">
        {!! Form::select('status', array(0 => 'ไม่ทำงานแล้ว', 1 => 'ทำงานอยู่'), $employee->status, array('class' => 'form-control m-b')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">ชื่อ-นามสกุล : </label>
    <div class="col-sm-9">
        {!! Form::text('fullname', $employee->profile->fullname, array('class' => 'form-control', 'placeholder' => 'ชื่อ-นามสกุล')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">เลขบัตรประชาชน : </label>
    <div class="col-sm-9">
        {!! Form::text('idcard', $employee->profile->idcard, array('class' => 'form-control', 'placeholder' => 'เลขบัตรประชาชน')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">วัน/เดือน/ปีเกิด : </label>
    <div class="col-sm-2">
        {!! Form::select('day', $days, \Carbon\Carbon::createFromFormat('Y-m-d', $employee->profile->birthdate)->format("d"), array('class' => 'form-control m-b')) !!}
    </div>
    <div class="col-sm-3">
        {!! Form::select('month', $months, \Carbon\Carbon::createFromFormat('Y-m-d', $employee->profile->birthdate)->format("m"), array('class' => 'form-control m-b')) !!}
    </div>
    <div class="col-sm-2">
        {!! Form::select('year', $years, \Carbon\Carbon::createFromFormat('Y-m-d', $employee->profile->birthdate)->format("Y"), array('class' => 'form-control m-b')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">เบอร์โทรศัพท์ : </label>
    <div class="col-sm-9">
        {!! Form::text('phone', $employee->profile->phone, array('class' => 'form-control', 'placeholder' => 'เบอร์โทรศัพท์')) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label">ที่อยู่ : </label>
    <div class="col-sm-9">
        {!! Form::textarea('address', $employee->profile->address, array('class' => 'form-control')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <div class="col-sm-3 col-sm-offset-2">
        {!! Form::button('แก้ไข' , array('class' => 'btn btn-primary btn-s-md form-control', 'type' => 'submit')) !!}
    </div>
</div>
{!! Form::close() !!}
