{!! Form::open(array('url' => url('stock/unit/update/'.$unit->id), 'class' => 'form-horizontal')) !!}
<div class="form-group">
    <label class="col-sm-2 control-label">ผู้ผลิต : </label>
    <div class="col-sm-9">
        {!! Form::select('supplier_id', $suppliers, $unit->supplier_id, array('class' => 'form-control m-b')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">ชื่อหน่วยนับ : </label>
    <div class="col-sm-9">
        {!! Form::text('name', $unit->name, array('class' => 'form-control', 'placeholder' => 'ชื่อหน่วยนับ')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">จำนวน : </label>
    <div class="col-sm-9">
        {!! Form::number('amount', $unit->amount, array('class' => 'form-control', 'placeholder' => 'จำนวน', 'min' => 1)) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">กี่ขิ้นต่อหน่วย : </label>
    <div class="col-sm-9">
        {!! Form::number('perpiece', $unit->perpiece, array('class' => 'form-control', 'placeholder' => 'กี่ขิ้นต่อหน่วย')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <label class="col-sm-2 control-label">ราคาต่อหน่วย : </label>
    <div class="col-sm-9">
        {!! Form::number('price', $unit->price, array('class' => 'form-control', 'placeholder' => 'ราคาต่อหน่วย', 'step' => 'any')) !!}
    </div>
</div>
<div class="line line-dashed line-lg pull-in"></div>
<div class="form-group">
    <div class="col-sm-3 col-sm-offset-2">
        {!! Form::button('แก้ไข' , array('class' => 'btn btn-primary btn-s-md form-control', 'type' => 'submit')) !!}
    </div>
</div>
{!! Form::close() !!}