<!DOCTYPE html>
<html lang="en" class=" ">
<head>
    <meta charset="utf-8"/>
    <title>AK Gift Shop</title>
    <meta name="description"
          content="app, web app, responsive, admin dashboard, admin, flat, flat ui, ui kit, off screen nav"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>

    <link rel="stylesheet" href="{!! url('bower_components/bootstrap/dist/css/bootstrap.min.css') !!}" type="text/css"/>
    <link rel="stylesheet" href="{!! url('bower_components/font-awesome/css/font-awesome.min.css') !!}"
          type="text/css"/>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>
<body class="container">
<div id="content">
    <div class="wrapper">
        <div class="row">
            <div class="col-xs-12">
                <p><b>AK GIFT SHOP</b></p>
                <hr>
                <p>ผู้ขาย {!! $sale->user_fullname !!}</p>
                <p>วันที่ {!! \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $sale->created_at)->format("d F Y H:i") !!}</p>
                <p>รหัสการขาย {!! $sale->sale_code !!}</p>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <hr>
                <p><b>รายการขาย</b></p>
                <table width="100%">
                    <tr>
                        <td style="text-align: center">รหัสสินค้า</td>
                        <td style="text-align: center">ชื่อสินค้า</td>
                        <td style="text-align: center">จำนวน</td>
                        <td style="text-align: center">ราคา</td>
                    </tr>
                    @foreach($saleDetails as $saleDetail)
                        <tr>
                            <td style="text-align: center">{!! $saleDetail->product_barcode !!}</td>
                            <td style="text-align: center">{!! $saleDetail->product_name !!}</td>
                            <td style="text-align: center">{!! $saleDetail->amount !!}</td>
                            <td style="text-align: center">{!! $saleDetail->price !!}</td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <hr>
                <p>รวม <p style="float:right">{!! $sale->price_total !!}</p></p>
                <hr>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <p>รับเงิน <p style="float:right">{!! $sale->cash !!}</p></p>
                <p>ทอน <p style="float:right">{!! $sale->change !!}</p></p>
                <hr>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <h2 style="text-align: center">Thank You!</h2>
                <hr>
                <hr>
            </div>
        </div>
    </div>
</div>
<script src="{!! url('bower_components/jquery/dist/jquery.min.js') !!}"></script>
<!-- Bootstrap -->
<script src="{!! url('bower_components/bootstrap/dist/js/bootstrap.js') !!}"></script>
<script>
    window.print();
    $(document).keydown(function (e) {
        // ESCAPE key pressed
        if (e.keyCode == 27) {
            window.close();
        }
    });


</script>
</body>
</html>