<!-- .aside -->
<aside class="bg-light lter b-r aside-md hidden-print hidden-xs" id="nav">
    <section class="vbox">
        <header class="header bg-primary lter text-center clearfix">
            <div class="btn-group">
                <a href="{!! url('stock/product/create/') !!}"
                   type="button" class="btn btn-sm btn-dark btn-icon" data-toggle="tooltip" data-placement="top" title="" data-original-title="นำเข้าสินค้า"><i class="fa fa-plus"></i></a>
                <div class="btn-group hidden-nav-xs">
                    <a href="{!! url('stock/product/create/') !!}"
                       type="button" class="btn btn-sm btn-primary" data-toggle="tooltip" data-placement="top" title="" data-original-title="นำเข้าสินค้า">
                        นำเข้าสินค้า
                    </a>
                </div>
            </div>
        </header>
        <section class="w-f scrollable">
            <div class="slim-scroll" data-height="auto" data-disable-fade-out="true" data-distance="0" data-size="5px"
                 data-color="#333333">
                <!-- nav -->
                <nav class="nav-primary hidden-xs">
                    <ul class="nav">
                        <li>
                            <a href="">
                                <i class="fa fa-shopping-cart">
                                    <b class="bg-danger"></b>
                                </i>
                                <span class="pull-right">
                          <i class="fa fa-angle-down text"></i>
                          <i class="fa fa-angle-up text-active"></i>
                        </span>
                                <span>สินค้า</span>
                            </a>
                            <ul class="nav lt">
                                <li>
                                    <a href="{!! url('stock/product') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>ข้อมูลสินค้า</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="{!! url('stock/unit') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>หน่วยนับ</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="">
                                <i class="fa fa-cubes">
                                    <b class="bg-warning"></b>
                                </i>
                                <span class="pull-right">
                          <i class="fa fa-angle-down text"></i>
                          <i class="fa fa-angle-up text-active"></i>
                        </span>
                                <span>สต๊อก</span>
                            </a>
                            <ul class="nav lt">
                                <li>
                                    <a href="{!! url('stock') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>ข้อมูลสต๊อก</span>
                                    </a>
                                </li>
                                @if(Auth::user()->type == 0)
                                    <li>
                                        <a href="{!! url('stock/logs') !!}">
                                            <i class="fa fa-angle-right"></i>
                                            <span>ประวัติการเบิกสินค้า</span>
                                        </a>
                                    </li>
                                @endif
                            </ul>
                        </li>
                        <li>
                            <a href="">
                                <i class="fa fa-cog">
                                    <b class="bg-primary"></b>
                                </i>
                                <span class="pull-right">
                          <i class="fa fa-angle-down text"></i>
                          <i class="fa fa-angle-up text-active"></i>
                        </span>
                                <span>จัดการข้อมูลระบบ</span>
                            </a>
                            <ul class="nav lt">
                                <li>
                                    <a href="{!! url('stock/category') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>หมวดหมู่</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="{!! url('stock/location') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>สถานที่เก็บ</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="{!! url('stock/supplier') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>ผู้ผลิต</span>
                                    </a>
                                </li>
                                @if(Auth::user()->type == 0)
                                    <li>
                                        <a href="{!! url('stock/employee') !!}">
                                            <i class="fa fa-angle-right"></i>
                                            <span>พนักงาน</span>
                                        </a>
                                    </li>
                                @endif
                            </ul>
                        </li>
                        <li>
                            <a href="">
                                <i class="fa fa-area-chart">
                                    <b class="bg-dark"></b>
                                </i>
                                <span class="pull-right">
                          <i class="fa fa-angle-down text"></i>
                          <i class="fa fa-angle-up text-active"></i>
                        </span>
                                <span>รายงาน</span>
                            </a>
                            <ul class="nav lt">
                                <li>
                                    <a href="{!! url('stock/sale') !!}">
                                        <i class="fa fa-angle-right"></i>
                                        <span>รายการขาย</span>
                                    </a>
                                </li>
                                @if(Auth::user()->type == 0)
                                    <li>
                                        <a href="{!! url('stock/sale/saleLogs') !!}">
                                            <i class="fa fa-angle-right"></i>
                                            <span>ประวัติยกเลิกการขาย</span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="{!! url('stock/account/days') !!}">
                                            <i class="fa fa-angle-right"></i>
                                            <span>บัญชี</span>
                                        </a>
                                    </li>
                                @endif
                            </ul>
                        </li>
                    </ul>
                </nav>
                <!-- / nav -->
            </div>
        </section>

        <footer class="footer lt hidden-xs b-t b-light">
            <a href="#nav" data-toggle="class:nav-xs" class="pull-right btn btn-sm btn-default btn-icon">
                <i class="fa fa-angle-left text"></i>
                <i class="fa fa-angle-right text-active"></i>
            </a>
        </footer>
    </section>
</aside>
<!-- /.aside -->