<!-- header -->
<header id="header" class="navbar navbar-fixed-top bg-white box-shadow b-b b-light" data-spy="affix"
        data-offset-top="1" style="padding: 0 0">
    <div class="container">
        <div class="navbar-header">
            <a href="{!! url('stock/product') !!}" class="navbar-brand"><span class="text-muted"><i class="fa fa-gift"
                                                                                                    aria-hidden="true"></i> AK GIFT SHOP</span></a>
            <button class="btn btn-link visible-xs" type="button" data-toggle="collapse" data-target=".navbar-collapse">
                <i class="fa fa-bars"></i>
            </button>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li class="active">
                    <a href="{!! url('') !!}"><i class="fa fa-home" aria-hidden="true"></i> หน้าหลัก</a>
                </li>
                <li>
                    <a href="#selling" data-jump="true"><i class="fa fa-shopping-basket" aria-hidden="true"></i> ระบบขาย</a>
                </li>
                <li>
                    <a href="#checking" data-jump="true"><i class="fa fa-question-circle" aria-hidden="true"></i>
                        ตรวจเช็ค</a>
                </li>
                @if (!Auth::guest())
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            {!! Auth::user()->profile->fullname !!} <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu animated fadeInRight">
                            <span class="arrow top"></span>
                            <li>
                                <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/employee/employeeView/'.Auth::user()->id) !!}','ข้อมูลพนักงาน');">ข้อมูลส่วนตัว</a>
                            </li>
                            <li>
                                <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/employee/changePasswordView/'.Auth::user()->id) !!}','แก้ไขรหัสผ่าน');">เปลี่ยนรหัสผ่าน</a>
                            </li>
                            <li class="divider"></li>
                            <li>
                                <a href="{!! route('logout') !!}"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    ออกจากระบบ
                                </a>

                                <form id="logout-form" action="{!! route('logout') !!}" method="POST"
                                      style="display: none;">
                                    {{ csrf_field() }}
                                </form>
                            </li>
                        </ul>
                    </li>
                @endif
            </ul>
        </div>
    </div>
</header>
<!-- / header -->