<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list" aria-hidden="true"></i> รายงานการขาย
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="saleTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>รหัสการขาย</th>
                        <th>ผู้ขาย</th>
                        <th>ยอดขาย</th>
                        <th>วันที่ / เวลา</th>
                        <th>เงินที่รับ</th>
                        <th>ทอน</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $sales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="10%"><?php echo $i; ?></td>
                            <td><?php echo $sale->sale_code; ?></td>
                            <td><?php echo $sale->user_fullname; ?></td>
                            <td><?php echo $sale->price_total; ?></td>
                            <td><?php echo \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $sale->created_at)->format("d F Y H:i"); ?></td>
                            <td><?php echo $sale->cash; ?></td>
                            <td><?php echo $sale->change; ?></td>
                            <td class="pull-right">
                                <a href="javascript:custom.lunchModalAndGetPage('<?php echo url('stock/sale/detailView/'.$sale->id); ?>','รายละเอียดการขาย');"
                                   class="btn btn-warning btn-xs"><i class="fa fa-search"
                                                                     aria-hidden="true"></i></a>
                                <?php if($sale->status == 1): ?>
                                    <a href="javascript:alert.change('<?php echo url('stock/sale/cancelSale/'.$sale->id); ?>');"
                                       class="btn btn-danger btn-xs"><i class="fa fa-eraser"
                                                                        aria-hidden="true"></i> ยกเลิกรายการขาย</a>
                                <?php else: ?>
                                    <a href=""
                                       class="btn btn-default btn-xs disabled"><i class="fa fa-eraser"
                                                                                  aria-hidden="true"></i>
                                        ยกเลิกรายการขาย</a>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#saleTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>