<header class="panel-heading bg-dark lt no-border">
    <div class="clear">
        <div class="h3 m-t-xs m-b-xs text-white">
            <?php echo $product->name; ?>

        </div>
        <small class="text-muted">หมวดหมู่ : <?php echo $product->category->name; ?></small>
    </div>
    </div>
</header>
<section class="panel">
    <header class="panel-heading">
        <ul class="nav nav-tabs pull-right">
            <li class="active">
                <a href="#product" data-toggle="tab" aria-expanded="false" class="btn btn-warning"
                   style="background-color: #ffbc1a; border: 1px solid;">
                    หน้าร้าน
                </a>
            </li>
            <li class="">
                <a href="#unit" data-toggle="tab" aria-expanded="false" class="btn btn-danger"
                   style="background-color: #fa5542; border: 1px solid; ">
                    สต๊อก
                </a>
            </li>
        </ul>
    </header>
    <div class="panel-body m-t-md">
        <div class="tab-content">
            <div class="tab-pane active" id="product">
                <footer class="panel-footer bg-primary text-center">
                    <div class="row pull-out">
                        <div class="col-xs-4">
                            <div class="padder-v">
                                <span class="m-b-xs h3 block text-white"><?php echo $product->amount; ?></span>
                                <small class="text-muted">คงเหลือ</small>
                            </div>
                        </div>
                        <div class="col-xs-4 dk">
                            <div class="padder-v">
                                <span class="m-b-xs h3 block text-white"><?php echo $product->costprice; ?></span>
                                <small class="text-muted">ราคาต้นทุน</small>
                            </div>
                        </div>
                        <div class="col-xs-4">
                            <div class="padder-v">
                                <span class="m-b-xs h3 block text-white"><?php echo $product->price; ?></span>
                                <small class="text-muted">ราคาขาย</small>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
            <div class="tab-pane" id="unit">
                <?php $__currentLoopData = $stocks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stock): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="list-group no-radius alt">
                        <a class="list-group-item active" href="#">
                            หน่วยนับ : <?php echo $stock->unit->name; ?>

                        </a>
                        <a class="list-group-item" href="#">
                            จำนวน/หน่วย : <?php echo floor($stock->amount / $stock->unit->perpiece).' '.$stock->unit->name; ?>

                        </a>
                        <a class="list-group-item" href="#">
                            จำนวน/ชิ้น : <?php echo $stock->amount % $stock->unit->perpiece.' ชิ้น'; ?>

                        </a>
                        <a class="list-group-item" href="#">
                            สถานที่เก็บ : <?php echo $stock->location->name; ?>

                        </a>
                        <a class="list-group-item" href="#">
                            ผู้ผลิต : <?php echo $stock->unit->supplier->name; ?>

                        </a>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</section>