<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> ข้อมูลสต๊อก
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="stockTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>รหัสสต๊อก</th>
                        <th>ชื่อสินค้า</th>
                        <th>รหัสสินค้า</th>
                        <th>สถานที่เก็บ</th>
                        <th>หน่วยคงเหลือ</th>
                        <th>คงเหลือ</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $stocks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stock): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="10%"><?php echo $i; ?></td>
                            <td><?php echo $stock->code; ?></td>
                            <td><?php echo $stock->product->name; ?></td>
                            <td><?php echo $stock->product->barcode; ?></td>
                            <td><?php echo $stock->location->name; ?></td>
                            <td><?php echo floor($stock->amount / $stock->unit->perpiece).' '.$stock->unit->name; ?></td>
                            <td><?php echo $stock->amount % $stock->unit->perpiece.' ชิ้น'; ?></td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#stockTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>